/*************************************************************************************************
 * JavaScript functions for result.html
 *************************************************************************************************/



// alias of document.writeln
function println(str){
  document.writeln(str);
}


// get the query string
function getquery(){
  var qstr = document.location.href;
  var qidx = qstr.indexOf('?');
  if(qidx < 0) return '';
  return qstr.substring(qidx + 1, qstr.length);
}


// get the value of a parameter
function getparam(name){
  var qstr = getquery();
  var qidx = qstr.indexOf(name + '=');
  if(qidx == -1) return '';
  qstr = qstr.substring(qidx + name.length + 1, qstr.length);
  qidx = qstr.indexOf('&');
  if(qidx != -1) qstr = qstr.substring(0, qidx);
  return qstr;
}


// show result frame or help message
function showresult(){
  // get parameters
  var phrase = getparam('phrase');
  if(phrase.length < 1){
    document.location.href = 'help.html';
    document.close();
    return;
  }
  var max = getparam('max');
  if(max.length < 1) max = '8';
  max = parseInt(max);
  var skip = getparam('skip');
  if(skip.length < 1) skip = '0';
  skip = parseInt(skip);
  // get targets
  var pdoc = parent.iform.document;
  var targets = new Array(0);
  for(var i = 1; i < 64; i++){
    var check = getparam('tc' + i);
    if(check != 'on') continue;
    var url = pdoc.getElementById('tu' + i).getAttributeNode('href').value + '?phrase=' + phrase +
      '&max=' + (max + skip + 4) + '&tfidf=false';
    targets.push(url);
  }
  // show frames
  var fstr = '';
  fstr += '<frameset rows="100%';
  for(var i = 0; i < targets.length; i++){
    fstr += ',*';
  }
  fstr += '" border="0">';
  fstr += '<frame name="frame0" src="wait.html?' + getquery() + '" frameborder="1"' +
    ' marginwidth="0" marginheight="0" noresize="1" />';
  for(var i = 0; i < targets.length; i++){
    fstr += '<frame name="frame' + (i + 1) + '" src="' + targets[i] + '" frameborder="0"' +
      ' marginwidth="0" marginheight="0" noresize="1" scrolling="no" />';
  }
  fstr += '</frameset>';
  println(fstr);
  document.close();
}



/* END OF FILE */
